package com.iotechn.unimall.data.dto.shop.XmlObject;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "ItemInfo")
public class ItemInfo {
    String itemID;
    String outerItemID;
    String itemName;
    String itemType;
    String specialAttribute;
    String marketPrice;
    String is_energySubsidy;
    String subsidyPrice;
    String unitPrice;
    String orderCount;
    String belongProductsPromoID;
    String sendGoodsCount;
    String giftCardCharge;
    String productItemId;
    String productImg;
    String productVersion;
    String itemRealPaidAmount;

    @Override
    public String toString() {
        return "ItemInfo{" +
                "itemID='" + itemID + '\'' +
                ", outerItemID='" + outerItemID + '\'' +
                ", itemName='" + itemName + '\'' +
                ", itemType='" + itemType + '\'' +
                ", specialAttribute='" + specialAttribute + '\'' +
                ", marketPrice='" + marketPrice + '\'' +
                ", is_energySubsidy='" + is_energySubsidy + '\'' +
                ", subsidyPrice='" + subsidyPrice + '\'' +
                ", unitPrice='" + unitPrice + '\'' +
                ", orderCount='" + orderCount + '\'' +
                ", belongProductsPromoID='" + belongProductsPromoID + '\'' +
                ", sendGoodsCount='" + sendGoodsCount + '\'' +
                ", giftCardCharge='" + giftCardCharge + '\'' +
                ", productItemId='" + productItemId + '\'' +
                ", productImg='" + productImg + '\'' +
                ", productVersion='" + productVersion + '\'' +
                ", itemRealPaidAmount='" + itemRealPaidAmount + '\'' +
                '}';
    }

    public String getItemID() {
        return itemID;
    }

    public void setItemID(String itemID) {
        this.itemID = itemID;
    }

    public String getOuterItemID() {
        return outerItemID;
    }

    public void setOuterItemID(String outerItemID) {
        this.outerItemID = outerItemID;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public String getSpecialAttribute() {
        return specialAttribute;
    }

    public void setSpecialAttribute(String specialAttribute) {
        this.specialAttribute = specialAttribute;
    }

    public String getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(String marketPrice) {
        this.marketPrice = marketPrice;
    }

    public String getIs_energySubsidy() {
        return is_energySubsidy;
    }

    public void setIs_energySubsidy(String is_energySubsidy) {
        this.is_energySubsidy = is_energySubsidy;
    }

    public String getSubsidyPrice() {
        return subsidyPrice;
    }

    public void setSubsidyPrice(String subsidyPrice) {
        this.subsidyPrice = subsidyPrice;
    }

    public String getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getOrderCount() {
        return orderCount;
    }

    public void setOrderCount(String orderCount) {
        this.orderCount = orderCount;
    }

    public String getBelongProductsPromoID() {
        return belongProductsPromoID;
    }

    public void setBelongProductsPromoID(String belongProductsPromoID) {
        this.belongProductsPromoID = belongProductsPromoID;
    }

    public String getSendGoodsCount() {
        return sendGoodsCount;
    }

    public void setSendGoodsCount(String sendGoodsCount) {
        this.sendGoodsCount = sendGoodsCount;
    }

    public String getGiftCardCharge() {
        return giftCardCharge;
    }

    public void setGiftCardCharge(String giftCardCharge) {
        this.giftCardCharge = giftCardCharge;
    }

    public String getProductItemId() {
        return productItemId;
    }

    public void setProductItemId(String productItemId) {
        this.productItemId = productItemId;
    }

    public String getProductImg() {
        return productImg;
    }

    public void setProductImg(String productImg) {
        this.productImg = productImg;
    }

    public String getProductVersion() {
        return productVersion;
    }

    public void setProductVersion(String productVersion) {
        this.productVersion = productVersion;
    }

    public String getItemRealPaidAmount() {
        return itemRealPaidAmount;
    }

    public void setItemRealPaidAmount(String itemRealPaidAmount) {
        this.itemRealPaidAmount = itemRealPaidAmount;
    }
}
